## eris 1.3.19

=== debian/changelog ===
eris (1.3.19-5ubuntu2) trusty; urgency=medium

  * Fix debian/liberis-1.3-19.symbols backport for more architectures.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 15 Apr 2014 22:38:28 +0100

eris (1.3.19-5ubuntu1) trusty; urgency=medium

  * Backport patch to debian/liberis-1.3-19.symbols from Debian git.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 15 Apr 2014 21:47:27 +0100

eris (1.3.19-5build1) trusty; urgency=medium

  * No-change rebuild against libskstream-0.3-7.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 Jan 2014 00:19:13 +0000

eris (1.3.19-5) unstable; urgency=low

  * fixed a missing symbol for i386 arches

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Fri, 08 Jun 2012 11:27:58 -0400

eris (1.3.19-4) unstable; urgency=low

  * fixed symbols for GCC 4.7 (closes: #671950) (closes: #675291)
    - incorporates and acknowledges NMU from Matthias Klose

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Thu, 31 May 2012 09:43:17 -0400

eris (1.3.19-3.1) unstable; urgency=low

  * Non maintainer upload.
  * Mark missing constructor symbols when built with GCC 4.7 as optional.
    Closes: #671950.

 -- Matthias Klose <doko@debian.org>  Tue, 29 May 2012 09:42:44 +0000

eris (1.3.19-3) unstable; urgency=low

  * fixed symbols for ia64
    - debian/liberis-1.3-19.symbols: marked some additional inline symbols as
      optional to fix FTBFS on ia64

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Wed, 11 Apr 2012 10:01:44 -0400

eris (1.3.19-2) unstable; urgency=low

  * made some C++ inline symbol optional
    - debian/liberis-1.3-19.symbols: marked some inline symbols as optional to
      fix FTBFS on various architectures.

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Wed, 07 Mar 2012 14:10:57 -0500

eris (1.3.19-1) unstable; urgency=low

  * new upstream version
  * new maintainers (Debian games team) (closes: #653972)
  * replaced use of chrpath with patch to ancient libtool
  * changed binary package names due to bumped SONAME
  * converted to 3.0 (quilt) source format
  * updates Standards-Version to 3.9.3 (no changes required)
  * debian/control: added Vcs- fields
  * added symbols tracking
  * debian/copyright: converted to DEP-5 format, updated dates
  * converted to use the dh build sequencer (compat level 9)
    - made binary packages multi-arch
    - regenerated autotools auxiliary files on build
  * converted to use xz compression in packaging

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Sat, 03 Mar 2012 13:20:38 -0500

eris (1.3.14-3) unstable; urgency=low

  * debian/liberis-1.3-dev.install: Don't include *.la file.
  * debian/control: Updated to Standards-Version 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Tue, 25 Aug 2009 21:43:03 +0200

eris (1.3.14-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Koch <konqueror@gmx.de>  Sun, 26 Jul 2009 12:15:39 +0200

eris (1.3.14-1) experimental; urgency=low

  * New upstream release.
    - upload to experimental due to new SONAME.
    - debian/patches/eris-gcc4.3.patch: Applied upstream.
  * Upgrade Build-Depends on libwfmath-0.3-dev to >= 0.3.9.
  * debian/control: Add libmercator-0.2-dev (>= 0.2.7) to Build-Depends.
  * debian/control: Add Depends: ${misc:Depends} to all packages.
  * debian/control: Move liberis-1.3-14-dbg to debug section.
  * debian/control: Updated Standards-Version to 3.8.2.
  * debian/watch: Use SourceForge redirector.

 -- Michael Koch <konqueror@gmx.de>  Tue, 21 Jul 2009 16:05:47 +0200

eris (1.3.13-2) unstable; urgency=low

  * Added patch to make eris build with GCC 4.3. Closes: #472555.
  * Reworked debian/copyright.
  * Remove "-1" part in versioned Build-Depends.

 -- Michael Koch <konqueror@gmx.de>  Wed, 26 Mar 2008 23:27:56 +0100

eris (1.3.13-1) unstable; urgency=low

  * New upstream release (changed soname).
  * debian/patches/eris-gcc4.3.patch: Added patch to fix GCC 4.3 error with
    two arguments having the same name in a prototype. Closes: #454884.
  * Use chrpath to delete rpath from library.
  * Updated Standards-Version to 3.7.3.
  * Updated debhelper level to 5.
  * Added homepage field.

 -- Michael Koch <konqueror@gmx.de>  Sun, 09 Dec 2007 16:18:57 +0100

eris (1.3.12-1) unstable; urgency=low

  * New upstream release.
  * Adjusted (Build-)Depends.
  * Replaced ${Source-Version} by ${binary:Version}.

 -- Michael Koch <konqueror@gmx.de>  Thu, 28 Jun 2007 05:36:22 -0100

eris (1.3.10-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Koch <konqueror@gmx.de>  Tue,  7 Feb 2006 13:12:13 +0000

eris (1.3.10-1) experimental; urgency=low

  * New upstream release
    - Changed package names due to new SONAME.
  * Upload to experimental for now.

 -- Michael Koch <konqueror@gmx.de>  Wed,  4 Jan 2006 07:33:12 +0000

eris (1.3.9-1) unstable; urgency=low

  * Acknowledge NMU. Closes: #339162
  * New upstream release
    - Changed package names due to new SONAME.
    - Build-Depend on libsigc++-2.0-dev instead of libsigc++-1.2-dev.

 -- Michael Koch <konqueror@gmx.de>  Thu, 22 Dec 2005 22:45:33 +0000

eris (1.3.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium-urgency upload for RC bugfix.
  * Rename liberis-1.3-7 to liberis-1.3-7c2a for the C++ mt allocator
    ABI transition, and conflict/replace with liberis-1.3-7 accordingly.
    Closes: #339162.
  * Build-depend on libatlas-cpp-0.6-dev (>= 0.5.98-2) and
    libwfmath-0.3-dev (>= 0.3.4-3).

 -- Steve Langasek <vorlon@debian.org>  Mon, 28 Nov 2005 07:09:42 -0800

eris (1.3.8-1) unstable; urgency=low

  * New upstream release
    - FTBFS: No matching function for call to StreamConnect
      (Closes: #332705)
    - Removed debian/patches/eris-gcc-4.0.patch. Applied upstream 
  * Upload sponsored by Petter Reinholdtsen

 -- Michael Koch <konqueror@gmx.de>  Mon, 10 Oct 2005 13:59:06 +0000

eris (1.3.7-3) unstable; urgency=low

  * Tightened Build-Depends and Depends on depended C++ libraries
  * Added debian/patches/eris-gcc-4.0.patch to work with recent g++-4.0


