=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_clean:
	rm -rf docs
	dh_auto_clean

override_dh_auto_build-indep:
	$(MAKE) doc

override_dh_install:
	dh_install --fail-missing -X.la -X.a

override_dh_strip:
	set -e; \
	for pkg in $(patsubst %-dbg,%,$(filter %-dbg,$(shell dh_listpackages))); do \
		dh_strip -p$${pkg} --dbg-package=$${pkg}-dbg; \
	done
	dh_strip -s --remaining-packages

override_dh_builddeb:
	dh_builddeb -- -Zxz
