=== debian/watch ===
version=3
http://sf.net/worldforge/eris-(.*)\.tar\.gz debian uupdate
