## eris 1.3.21

=== debian/changelog ===
eris (1.3.21-0.1) unstable; urgency=low

  [ Tobias Frost ]
  * Non-maintainer upload.
  * Fixing symbol file for liberis.
  * Adding patch remove silent-rules.

  [ Stephen M. Webb ]
  * new upstream release
  * debian/control: bumped build-dep versions for new WorldForge packages
  * renamed packages due to new SONAME
  * debian/liberis-1.3-20.symbols: updated for new ABI
  * debian/control: updated Standards-Version to 3.9.4 (updated VCS-* fields)
  * debian/libskstream-0.3-7.symbols: updated for GCC 4.8 (closes: #701273)
  * debian/copyright: refreshed some dates
  * debian/patches/0001-bump-mercator-builddep.patch: new file
    - forced minimum biuild dependency version for those who want to build
      from source
  * debian/control: fixed Vcs-Browser URL

 -- Tobias Frost <tobi@debian.org>  Sat, 16 Aug 2014 07:10:01 +0000
