=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: eris
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen M. Webb <stephen.webb@bregmasoft.ca>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                doxygen,
                libatlas-cpp-0.6-dev (>= 0.6.2),
                libglib2.0-dev,
-               libmercator-0.3-dev (>= 0.3.0),
+               libmercator-0.3-dev (>= 0.3.2),
                libsigc++-2.0-dev,
-               libskstream-0.3-dev (>= 0.3.8),
-               libwfmath-0.3-dev (>= 0.3.11)
+               libskstream-0.3-dev (>= 0.3.9),
+               libwfmath-1.0-dev
 Build-Conflicts: libsigc++-1.2-dev, libsigc-perl, libsigcoperl-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.worldforge.org/
-Vcs-Git: git://git.debian.org/git/pkg-games/eris.git
-Vcs-Browser: http://git.debian.org/?p=pkg-games/eris.git
+Vcs-Git: git://anonscm.debian.org/pkg-games/eris.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/eris.git
 
-Package: liberis-1.3-19
+Package: liberis-1.3-20
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6~)
@@ -53,11 +52,11 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6~)
 Depends: libatlas-cpp-0.6-dev (>= 0.6.2),
-         liberis-1.3-19 (= ${binary:Version}),
+         liberis-1.3-20 (= ${binary:Version}),
          libglib2.0-dev,
          libsigc++-2.0-dev,
          libskstream-0.3-dev (>= 0.3.8),
-         libwfmath-0.3-dev (>= 0.3.11),
+         libwfmath-1.0-dev,
          ${misc:Depends}
 Description: WorldForge client entity library - development files
  Eris is designed to simplify client development (and avoid repeating the
@@ -86,13 +85,13 @@
  This package contains the development files for compiling software
  depending on Eris.
 
-Package: liberis-1.3-19-dbg
+Package: liberis-1.3-20-dbg
 Section: debug
 Architecture: any
 Multi-Arch: same
 Priority: extra
 Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6~)
-Depends: liberis-1.3-19 (= ${binary:Version}), ${misc:Depends}
+Depends: liberis-1.3-20 (= ${binary:Version}), ${misc:Depends}
 Description: WorldForge client entity library - debugging library
  Eris is designed to simplify client development (and avoid repeating the
  same work several times), by providing a common system to deal with the
