=== debian/watch ===
version=3
http://sf.net/worldforge/eris-([\d.]+)\.tar\.bz2 debian
