## eris 1.3.23

=== debian/changelog ===
eris (1.3.23-8) unstable; urgency=high

  * Update debhelper compatibility to 13 (delete d/compat)
  * Update standards to 4.5.0 (no changes)
  * Remove d/symbols due to continued instability
    - Closes: #957178, #963055, #921116

 -- Olek Wojnar <olek@debian.org>  Sun, 02 Aug 2020 00:30:50 -0400

eris (1.3.23-7) unstable; urgency=high

  * Remove unnecessary override
  * Fix symbols for GCC-8 (Closes: #897743)
  * Fix symbols for ppc64el in Ubuntu (Closes: #893674)
    - Thanks to Steve Langasek for the patch
  * Add d/upstream/metadata for DEP 12 compliance
  * Update standards to 4.2.1 (no changes)
  * Update compatibility level to 11 (no changes)
  * Update d/control: new uploader email and URLs
  * Update d/copyright: refresh debian info
  * Update d/control: migration complete, remove dbgsym-migration flag

 -- Olek Wojnar <olekw.dev@gmail.com>  Wed, 03 Oct 2018 15:59:04 -0400

eris (1.3.23-6) unstable; urgency=medium

  * Fix symbols for GCC 7 update (Closes: #853391)
  * Update standards to 4.1.3
    - d/control: document new standards version
    - d/copyright: use https in Format field
    - d/watch: use https
  * Update dh compat to 10
    - Update d/rules
    - Remove unnecessary ldconfig trigger
  * Update d/copyright for ./debian directory

 -- Olek Wojnar <olek-dev@wojnar.org>  Sun, 31 Dec 2017 20:59:13 -0500

eris (1.3.23-5) unstable; urgency=medium

  * Fix symbols for GCC 6 update (Closes: #839304)
  * Mark -dev package as Multi-Arch: same

 -- Olek Wojnar <olek-dev@wojnar.org>  Mon, 10 Oct 2016 21:43:17 -0400

eris (1.3.23-4) unstable; urgency=medium

  * Fix symbols for -O3 builds on ppc64el
  * Fix symbols for armhf builds with GCC 6

 -- Olek Wojnar <olek-dev@wojnar.org>  Mon, 15 Aug 2016 20:12:07 -0400

eris (1.3.23-3) unstable; urgency=medium

  * Move doxygen to Build-Depends-Indep
  * Fix symbols for m68k

 -- Olek Wojnar <olek-dev@wojnar.org>  Thu, 14 Jul 2016 19:35:37 -0400

eris (1.3.23-2) unstable; urgency=medium

  * Disable additional network-related test
    - Test was causing build failures
    - Rename 02-disable-BaseConnection-unittest.patch to
      02-disable-two-network-tests.patch
  * Fix symbols that were causing build failures
  * Update symbols for GCC6

 -- Olek Wojnar <olek-dev@wojnar.org>  Mon, 04 Jul 2016 15:34:22 -0400

eris (1.3.23-1) unstable; urgency=medium

  * New upstream release (Closes: #799749)
  * Incorporate NMU, thanks Tobias Frost
  * Update d/control
    - Standards-Version to 3.9.8 (no changes)
    - Remove pre-dependency on dpkg
    - Update Vcs lines for secure URIs
  * Add myself as new uploader
    - Remove Stephen Webb per his request
    - Thanks for all the contributions, Stephen!
  * Update symbols
  * Convert to automatic debug package
  * Enable all hardening options
  * Update d/copyright
  * Update lintian overrides
  * Add ldconfig trigger

 -- Olek Wojnar <olek-dev@wojnar.org>  Sun, 26 Jun 2016 16:55:55 -0400
