=== debian/control ===
--- 
+++ 
@@ -2,26 +2,27 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Stephen M. Webb <stephen.webb@bregmasoft.ca>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
-               doxygen,
-               libatlas-cpp-0.6-dev (>= 0.6.2),
+Uploaders: Olek Wojnar <olek@debian.org>,
+           Debian Games Team <team+pkg-games@tracker.debian.org>,
+Build-Depends: debhelper-compat (= 13),
+               libatlas-cpp-0.6-dev (>= 0.6.3),
                libglib2.0-dev,
-               libmercator-0.3-dev (>= 0.3.2),
+               libmercator-0.3-dev (>= 0.3.3),
                libsigc++-2.0-dev,
                libskstream-0.3-dev (>= 0.3.9),
-               libwfmath-1.0-dev
+               libwfmath-1.0-dev,
+Build-Depends-Indep: doxygen
 Build-Conflicts: libsigc++-1.2-dev, libsigc-perl, libsigcoperl-dev
-Standards-Version: 3.9.4
-Homepage: http://www.worldforge.org/
-Vcs-Git: git://anonscm.debian.org/pkg-games/eris.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/eris.git
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://www.worldforge.org/
+Vcs-Git: https://salsa.debian.org/games-team/eris.git
+Vcs-Browser: https://salsa.debian.org/games-team/eris
 
-Package: liberis-1.3-20
+Package: liberis-1.3-21
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6~)
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: WorldForge client entity library
  Eris is designed to simplify client development (and avoid repeating the
@@ -50,12 +51,13 @@
 Package: liberis-1.3-dev
 Section: libdevel
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6~)
-Depends: libatlas-cpp-0.6-dev (>= 0.6.2),
-         liberis-1.3-20 (= ${binary:Version}),
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libatlas-cpp-0.6-dev (>= 0.6.3),
+         liberis-1.3-21 (= ${binary:Version}),
          libglib2.0-dev,
          libsigc++-2.0-dev,
-         libskstream-0.3-dev (>= 0.3.8),
+         libskstream-0.3-dev (>= 0.3.9),
          libwfmath-1.0-dev,
          ${misc:Depends}
 Description: WorldForge client entity library - development files
@@ -85,42 +87,8 @@
  This package contains the development files for compiling software
  depending on Eris.
 
-Package: liberis-1.3-20-dbg
-Section: debug
-Architecture: any
-Multi-Arch: same
-Priority: extra
-Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6~)
-Depends: liberis-1.3-20 (= ${binary:Version}), ${misc:Depends}
-Description: WorldForge client entity library - debugging library
- Eris is designed to simplify client development (and avoid repeating the
- same work several times), by providing a common system to deal with the
- back end tasks. Notably, Eris encapsulates most of the work in getting
- Atlas entities available on your client, logging into a server, and
- managing updates from the server. Thus it can be considered as a session
- layer above Atlas, providing persistent (for the session) objects as
- opposed to Atlas ones (which are transient). It handles the client-side
- implementation of the meta-server protocol, and querying game servers;
- out-of-game (OOG) operations (via the Lobby and Rooms), and most
- important in-game (IG) operations such as entity creation, movement and
- updates.
- .
- Eris provides a generic 'Entity' class, which you are free to sub-class
- and provide to the system (by registering a factory with the World);
- thus you are free to create different classes to handle characters,
- walls, vehicles, etc as your client dictates. An alternative approach is
- to simply create peer classes, and connect them to Eris via
- callbacks. Eris makes extensive use of libSigC++, which must be
- correctly installed and functioning on your system. Familiarity with
- signal/slot programming concepts is essential for using Eris; the
- libSigC++ home-page has some examples. Gtk+ or QT signal systems also
- provide a good introduction.
- .
- This package contains the debugging library.
-
 Package: liberis-doc
 Section: doc
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}
 Suggests: liberis-1.3-dev
 Architecture: all
