=== debian/watch ===
version=4
https://sf.net/worldforge/eris-([\d\.]+)\.(?:tar\.(?:gz|bz2|xz)) debian uupdate
